﻿@model IEnumerable<BeerOverflow.Web.Models.CountryViewModel>
@using Microsoft.AspNetCore.Identity
@using BeerOverflow.Models

@inject SignInManager<User> SignInManager
@inject UserManager<User> UserManager

@{
    ViewData["Title"] = "Countries";
}

<h1>Countries</h1>
@if (User.IsInRole("Admin"))
{
    <p>
        <a asp-action="Create">Create New</a>
    </p>
}

<div class="container p-0">
    <div class="row">
        <div class="col-lg-9 order-1 order-lg-2 mb-5 mb-lg-0">
            <div class="row mb-3 align-items-center">
                <div class="col-lg-6 mb-2 mb-lg-0">
                    <p class="text-small text-muted mb-0">Showing @Model.Count() results</p>
                </div>
                <div class="col-lg-6">
                    <ul class="list-inline d-flex align-items-center justify-content-lg-end mb-0">
                        <li class="list-inline-item">
                            <form asp-action="Index" asp-controller="Countries" asp method="post">
                                <select id="sortSelection" name="sortSelection" class="selectpicker ml-auto" data-width="200" data-style="bs-select-form-control" data-title="Default sorting" onchange="this.form.submit()">
                                    <option value="default">Default</option>
                                    <option value="name">Name</option>
                                </select>
                            </form>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="row">
                @foreach (var item in Model)
                {
                    <div class="col-lg-4 col-sm-6">
                        <div class="product text-center">
                            <div class="mb-3 position-relative">
                                <div class="badge text-white badge-"></div><a class="d-block" asp-action="Index" asp-controller="Beers" asp-route-filterBy="country" asp-route-filter=@item.Name><img class="img-fluid w-100" src="@Url.Content($"~/img/countries/country{item.ID}.jpg")" onerror='this.src="@Url.Content($"~/img/countries/defaultcountry.jpg")"'></a>
                                <div class="product-overlay">
                                    <ul class="mb-0 list-inline">
                                        <li class="list-inline-item m-0 p-0"><a class="btn btn-sm btn-dark" href="Countries/Details/@item.ID">Details</a></li>
                                    </ul>
                                </div>
                            </div>
                            <h6> <a class="reset-anchor" href="detail.html">@item.Name</a></h6>
                        </div>
                    </div>
                }
            </div>
        </div>
    </div>
</div>